Skip to main content
`Ctrl`+`K`

# numpy.ma.anomalies

ma.anomalies(self, axis=None, dtype=None) = <numpy.ma.core._frommethod object>

  Compute the anomalies (deviations from the arithmetic mean) along the given axis.

  Returns an array of anomalies, with the same shape as the input and where the arithmetic mean is computed along the given axis.

  Parameters:
    axis int, optional

      Axis over which the anomalies are taken. The default is to use the mean of the flattened array as reference.

    dtype dtype, optional
      Type to use in computing the variance. For arrays of integer type

        the default is float32; for arrays of float types it is the same as the array type.

  See also

  `mean`

    Compute the mean of the array.

  Examples

      >>> import numpy as np
      >>> a = np.ma.array([1,2,3])
      >>> a.anom()
      masked_array(data=[-1.,  0.,  1.],
                   mask=False,
             fill_value=1e+20)